Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content
Class RepositoryException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.bea.content.RepositoryException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AuthenticationException, AuthorizationException, NodeExistsException, NoRepositoriesDefinedException, NoSuchNodeException, NoSuchObjectClassException, NoSuchPropertyChoiceException, NoSuchPropertyDefinitionException, NoSuchPropertyException, NoSuchRepositoryConfigException, ObjectClassExistsException, PropertyChoiceExistsException, PropertyDefinitionExistsException, PropertyExistsException, RepositoryConfigExistsException

public class RepositoryException
extends Exception

This is the main checked exception for any error thrown from the SPI. All other checked Exceptions should be subclasses. This Exception may be used for validation errors.

See Also:
  Serialized Form

Constructor Summary
`RepositoryException(String message)`
`RepositoryException(String message, Throwable cause)`
`RepositoryException(Throwable cause)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepositoryException

    public RepositoryException(String message)

### RepositoryException

    public RepositoryException(String message,
                               Throwable cause)

### RepositoryException

    public RepositoryException(Throwable cause)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved